.\"	$NetBSD: ibus.4,v 1.3 2003/06/26 10:12:18 wiz Exp $
.\"
.\" Copyright (c) 1998 MINOURA Makoto
.\" Copyright (c) 1998 NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"    This product includes software developed by Minoura Makoto.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 12, 2001
.Dt IBUS 4 pmax
.Os
.Sh NAME
.Nm ibus
.Nd pmax internal I/O space driver
.Sh SYNOPSIS
.Cd "ibus0 at mainbus0"
.Cd "ibus0 at tc? slot ? offset ?"
.Sh DESCRIPTION
.Nm
is a virtual device corresponding to the pmax internal I/O space found
on DEC 2100, 3100, 5100 and 5000/200 systems.
.Pp
Internal I/O space spans the pmax physical address space, and is
mapped permanently in the kernel virtual space at the very early time
of the kernel startup procedure.
.Pp
.Nm
driver manages the internal I/O space of pmax.
.Pp
.Bl -bullet -offset indent
.It
Address range management to avoid confliction of address space of
which devices probe by touching hardware port is difficult.
.It
Interrupt vector management.
.It
.Xr bus_space 9
and
.Xr bus_dma 9
implementation.
.It
Other utility functions.
.El
.Pp
.Nm
is always required to run the
.Nx
kernel.
.Sh SEE ALSO
.Xr intro 4 ,
.Xr bus_dma 9 ,
.Xr bus_space 9
